

/*!
 * @file network_manager.h
 *  Main interface for the network module. Manages all the modules

 */

#ifndef _NETDEFS
#define _NETDEFS

#ifdef HAVE_SDL_NET_H
  #include <SDL_net.h>
#else
  #include <SDL/SDL_net.h>
#endif


#define MAX_CONNECTIONS 1000

#define NETWORK_FREQUENCY 66


typedef unsigned char byte;


//!< enum indicating the type of the node
typedef enum {
  NET_MASTER_SERVER,
  NET_PROXY_SERVER,
  NET_CLIENT,

  NET_NR_TYPES

} NodeType;

//!< enum indicating the type of the network connection (2 protocols supported)
typedef enum ConnectionType {
  NET_UDP = 0,
  NET_TCP
};

//!< the type of the user id (special number never used elsewhere)
typedef enum {
  NET_UID_UNASSIGNED = -1,

  NET_UID_NUMBER
} UidType;

#endif /* _NETWORK_MANAGER */
